Bug 133718 - audio/amarok-kde4 2.0.2 has last.fm support broken
audio/amarok-kde4 2.0.2 has last.fm support broken
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 04:30 UTC by emz
Modified: 2009-05-04 08:30 UTC (History)
0 users

See Also:


Attachments
file.txt (1.73 KB, text/plain)
2009-04-14 04:30 UTC, emz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description emz 2009-04-14 04:30:01 UTC
amarok-kde4 2.0.2_1 has last.fm support broken, no listened tracks submission is possible.

Full thread here: https://bugs.kde.org/show_bug.cgi?id=188678
Patch for 2.0.2 here: https://bugs.kde.org/attachment.cgi?id=32615

Patch is tested, solves this problem for Linux users; I tested it on FreeBSD, it does fix last.fm submission.


Patch can be applied as it's published with no further editing, as its paths fit to the FreeBSD ports system.

Fix: https://bugs.kde.org/attachment.cgi?id=32615

Patch attached with submission follows:
How-To-Repeat: Install amarok-kde4 2.0.2_1 from fresh ports and register to last.fm service. Try to submit some tracks.
Comment 1 pav freebsd_committer 2009-04-30 12:51:29 UTC
Dear maintainer of FreeBSD port audio/amarok-kde4, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?pr=133718

Do you approve/reject this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Sun couldn't care less about Linux other than it now being necessary
in order to be buzzword compliant.
  -- Al Dente
Comment 2 pav freebsd_committer 2009-04-30 12:56:03 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 3 pav freebsd_committer 2009-04-30 12:56:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Asked maintainer for approval
Comment 4 datahead4 2009-04-30 14:39:18 UTC
On Thu, Apr 30, 2009 at 6:51 AM, Pav Lucistnik <pav@freebsd.org> wrote:
> Dear maintainer of FreeBSD port audio/amarok-kde4, please take a look at
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=133718
>
> Do you approve/reject this patch?
>
Patch is approved.  I have had a report from one other user that this
patch fixed the last.fm issue.

Matt
Comment 5 pav freebsd_committer 2009-04-30 14:43:11 UTC
State Changed
From-To: feedback->open

Patch is approved.  I have had a report from one other user that this 
patch fixed the last.fm issue. 

Matt
Comment 6 pav freebsd_committer 2009-05-04 08:18:39 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter freebsd_committer 2009-05-04 08:19:56 UTC
pav         2009-05-04 07:19:42 UTC

  FreeBSD ports repository

  Modified files:
    audio/amarok-kde4    Makefile 
  Added files:
    audio/amarok-kde4/files patch-last.fm 
  Log:
  - Fix last.fm support
  
  PR:             ports/133718
  Submitted by:   Eugene M. Zheganin <emz@norma.perm.ru>
  Approved by:    Matt <datahead4@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.96      +1 -1      ports/audio/amarok-kde4/Makefile
  1.1       +34 -0     ports/audio/amarok-kde4/files/patch-last.fm (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"